$(document).ready(function(){
	$("#orderNo").focus(function(){
		$("#orderNo").attr({
			"value":""
		});
	});
	$("#orderNo").blur(function(){
		if($("#orderNo").attr("value")=="")
		{
			$("#orderNo").attr({
				"value":"请输入订单号"
			});
		}
	});
    $('#btnOrderInquire').click(function(){
		if($("#orderNo").attr("value")=="" || $("#orderNo").attr("value")=="请输入订单号")
		{
			alert('请输入订单号');
			return false;
		}
        var weburl = 'ajax.ashx?NoCopyright=1&type=GetOrderStatus&OrderNo=' + $("#orderNo").attr("value") + "&ran=" + Math.random();
        $.ajax({
            url:weburl,
            async:false,    //同步
            success:function(data){
				if(data!="无效订单号")
				{
					$("#InquireResult").html('订单号：<br/><a href="MyOrders.aspx?OrderNo='+$("#orderNo").attr("value")+'">'+$("#orderNo").attr("value")+'</a><br/>订单状态：<br/><font color=red>'+data+'</font>');
                }
                else
                {
					alert(data);
				}
            },    
            error:function(){alert('system error');pass=false;}
        });//end $.ajax()
    });
})  //end ready